Webhook - Create Validation Event
Creates a test event to be delivered as a webhook
POST https://api.partnercenter.microsoft.com/webhooks/v{version}/registration/validationEvents
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
version
|
path | True |
string |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Bearer authentication token |
| ms-correlationid |
string |
A unique identifier for the call, useful in logs and network traces for troubleshooting errors. The value should be reset for every call. All operations should include this header. |
|
| ms-requestid |
string |
A unique identifier for the call, used to ensure idempotency. In the case of a timeout, the retry call should include the same value. Upon receiving a response (success or business failure), the value should be reset for the next call. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
string |
Returns a correlationId that can be used to query for the state. This state will be deleted after 7 days. Media Types: "application/json", "text/json" |
| 400 Bad Request |
There was a missing or an invalid input.The response body will provide the error details. Media Types: "application/json", "text/json" |
|
| 401 Unauthorized |
The request was not authenticated. The client needs to authenticate with the partner API service first. Media Types: "application/json", "text/json" |
|
| 403 Forbidden |
The request was authenticated but was refused since the caller does not have the rights to invoke it. Media Types: "application/json", "text/json" |
|
| 404 Not Found |
The resource is not found or not available with the given input parameters. Media Types: "application/json", "text/json" |
|
| 500 Internal Server Error |
The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this. Media Types: "application/json", "text/json" |
Security
Authorization
Bearer authentication token
Type:
apiKey
In:
header